%define name gnome-chess
%define	version	0.4.0
%define release	%mkrel 3


Summary:	GNOME chess
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Boards
Requires:	libgnome2 >= 2.20.1.1
BuildRequires:	flex libgnomeui2-devel libgnomecanvas2-devel 
BuildRequires:	vte-devel libglade2.0-devel
BuildRequires:  desktop-file-utils
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-chess/%{name}-%{version}.tar.bz2
Patch0:		gnome-chess-fixcrash.patch
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.gnome.org
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
GNOME Chess is part of the GNOME project and is a graphical chess interface. It
can provide and interface to GNU Chess, Crafty, chess servers and PGN files.

#german
%description -l de
GNOME Chess is part of the GNOME project and is a graphical chess interface. It
can provide and interface to GNU Chess, Crafty, chess servers and PGN files.
#french
%description -l fr
GNOME Chess is part of the GNOME project and is a graphical chess interface. It
can provide and interface to GNU Chess, Crafty, chess servers and PGN files.
#spanish
%description -l es
GNOME Chess is part of the GNOME project and is a graphical chess interface. It
can provide and interface to GNU Chess, Crafty, chess servers and PGN files.
#polish
%description -l pl
GNOME Chess is part of the GNOME project and is a graphical chess interface. It
can provide and interface to GNU Chess, Crafty, chess servers and PGN files.
#serbian
%description -l sr
GNOME Chess is part of the GNOME project and is a graphical chess interface. It
can provide and interface to GNU Chess, Crafty, chess servers and PGN files.
#dutch
%description -l nl
GNOME Chess is part of the GNOME project and is a graphical chess interface. It
can provide and interface to GNU Chess, Crafty, chess servers and PGN files.


%prep
%setup -q
%patch0 -p1 -b .fixcrash

%build
autoreconf -fis
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-PCLinuxOS-MoreApplications-Games-Boards" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/gnome-chess.desktop

perl -pi -e 's,Name=Chess,Name=Gnome Chess,g' $RPM_BUILD_ROOT%{_datadir}/applications/*

# icon
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%post
%post_install_gconf_schemas gnome-chess


%preun
%preun_uninstall_gconf_schemas gnome-chess

%postun


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gnome-chess.schemas
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/gnome-chess
%{_datadir}/mime-info/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.4.0-3pclos2010
- rebuild

* Tue Oct 13 2009 Texstar <texstar at gmail.com> 0.4.0-2pclos2010
- rebuild gcc

* Mon Dec 05 2007 Slick50 <slick50@linuxgator.org> 0.4.0-1pclos2007
- Build for PCLinuxOS 2007

* Mon Oct 30 2006 Texstar <texstar@houston.rr.com> 0.3.3-8pclos2007
- Build for PCLinuxOS 2007




